var idClaseNueva="";
$( document ).ready(function() {
	
	$("#botoneraModificar").show();
	    
	$("#bt_Volver").bind("click", volver);
	$("#bt_guardar").bind("click", altaClase);
	
	$("#feedbacknuevoClase").rup_feedback({
		type : "ok",
		block : false,
		closeLink : true
	});



});
$("#feini").rup_date();	

function volver(){
	window.location = "/aa20bMaqPartesWar/clase/maintVolver";	
}

function altaClase(){
	
	// Convertimos los checkbox a 0 y 1 en funcion de si están seleccionados o no
	$("input[type=checkbox]").each (function() {						
		$(this).val(this.checked ? "1" : "0");
	});
	
	var properties={
			url:"../clase/addNuevaClase",
			feedback:$("#feedbacknuevoClase"),
			dataType: "json",
			 beforeSend : function(data) {
					//Mostrar div de sincronizando
				  $("#dialogoGuardar").rup_dialog(
							{
								type : $.rup.dialog.DIV,
								height : 200,
								width : 500,
								modal : true,
								showLoading : true,
								autoOpen : false,
								title : $.rup.i18n.app.mensajesEdificios.guardando
							});
					$("#dialogoGuardar").rup_dialog("open");
			  },
			 error: function() {
				 $("#dialogoGuardar").rup_dialog("close");
				  	$("#dialogoGuardar").rup_dialog("destroy");
				 	$("#feedbacknuevoClase").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");			

			 },
			 success: function(data2){
				 $("#dialogoGuardar").rup_dialog("close");
				  	$("#dialogoGuardar").rup_dialog("destroy");
				 	if (data2!=null){
						 $("#feedbacknuevoClase").rup_feedback("set", $.rup.i18n.app.accionesRegistros.guardadook, "ok");
						 //ahora abrimos el clase en modo edicion
						 idClaseNueva = data2.idclase;
						 editarClase();
				 	};
			 },
			 validate: {
				 rules: {
						"cclase":{required:true},
						"eclase":{required:true}
				 }
			 }
			};
			$("#nuevoClaseForm").rup_form(properties);
			$("#nuevoClaseForm").submit();
		
}
function volver(){
	window.history.back();
}

function editarClase(){
	
    // enviamos el form con el idClase para la busqueda
	buscaClaseForm.idClaseBusc.value = idClaseNueva;
	buscaClaseForm.submit();
}
